Bug 824263 - RFE: Indicators for simultaneous edits (similar to google docs)
RFE: Indicators for simultaneous edits (similar to google docs)
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 1.6
Assigned To: Alex Eng
Ding-Yi Chen
: UserStory
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 01:55 EDT by Alex Eng
Modified: 2012-06-21 20:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0
Doc Type: Bug Fix
Doc Text:
Cause Two or more translators sometimes edit the same document. Consequence Sometimes they end up translating the same message of the document. This leads to duplication of effort, or lost work, when one saves over changes by the other. Change The position of other users in the table is shown with coloured borders. If another user is on the same row of the table, the username is shown as well. Result By observing the editing indicators, translators can easily avoid working on a row which another translator is already working on.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2012-05-23 01:55:35 EDT
Other translators that are in the same workspace should be indicated while editing.
Comment 1 Alex Eng 2012-05-23 01:58:53 EDT
Implemented indication of other translators that are in the same workspace.

- Translators name is shown at the top of editor with assigned random color.
- Indication of border color in the row where other translator is currently editing.
- Log feature in workspace user presenter on joined and leaved translators.
Comment 2 Sean Flanigan 2012-06-05 21:40:25 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause

Two or more translators sometimes edit the same document.

Consequence

Sometimes they end up translating the same message of the document.  This leads to duplication of effort, or lost work, when one saves over changes by the other.

Change

The position of other users in the table is shown with coloured borders.  If another user is on the same row of the table, the username is shown as well.

Result

By observing the editing indicators, translators can easily avoid working on a row which another translator is already working on.
Comment 3 Ding-Yi Chen 2012-06-07 01:59:15 EDT
Verified with Zanata version 1.6.1-SNAPSHOT (20120606-0019)

Note You need to log in before you can comment on or make changes to this bug.